> For the complete documentation index, see [llms.txt](https://docs.influxtechnology.com/support_guides/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.influxtechnology.com/support_guides/rexgen-open-api-application/device-library/rgusbdrv.dll/reflashlogger.md).

# ReflashLogger()

#### C\#

```csharp
[DllImport("RGUSBdrv.dll", CallingConvention = CallingConvention.Cdecl)]
public static extern byte ReflashLogger(char[] FileName, out short Status);
```

#### Parameter

**\[in] FileName**

**\[out] Status**

#### Returns:

0 if file successfully sent.

If the function returns 0 check Status.

Status 0 – Reflash OK

#### C# Example

```csharp
private void btnReflash_Click(object sender, EventArgs e)
        {
            if (dlgOpenReflash.ShowDialog() == DialogResult.OK)
            {
                if (Connected) //Check if the logger is connected

                {
                    timerReflash.Start();
                    //Using timer to start the reflash as Async() method
                }
            }
        }

async Task<bool> Reflash(string fwFileName)
        {
            try
            {
                Cursor.Current = Cursors.WaitCursor;
                lblStatus.Text = "Reflash procedure started...";
                byte res = ReflashLogger((fwFileName + '\0').ToCharArray(), out Int16 Status);
                bool error = res == 1 && Status != 0;
                bool connected = false;
                do
                {
                    await Task.Delay(1000);
                    lblStatus.Text = "Logger is updating. Waiting to reconnect...";
                    connected = DeviceIsReady() > 0;
                    if (connected)
                    {
                        await Task.Delay(1000);
                        lblStatus.Text = "";
                        MessageBox.Show("Reflash completed successfully");
                    }

                }
                while (!connected);
                string msg = error ? "Reflash error " + Status.ToString() : "Reflash Completed!";
                lblStatus.Text = msg;
                return !error;
            }
            catch (Exception e)
            {
               return false;
            }
            finally
            {
                Cursor.Current = Cursors.Default;

            }
private async void timer1_Tick(object sender, EventArgs e)
        {
            timerReflash.Enabled = false;
            await Reflash(dlgOpenReflash.FileName);
            Close();
        }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.influxtechnology.com/support_guides/rexgen-open-api-application/device-library/rgusbdrv.dll/reflashlogger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
